package data.hullmods;

import com.fs.starfarer.api.combat.BaseHullMod;
import com.fs.starfarer.api.combat.MutableShipStatsAPI;
import com.fs.starfarer.api.combat.ShipAPI.HullSize;

public class dara_ConvertedHangar extends BaseHullMod
{
    public static final int CREW_REQ = 20;
    public static final float REFIT_PENALTY = 75f;

    @Override
    public void applyEffectsBeforeShipCreation(HullSize hullSize, MutableShipStatsAPI stats, String id)
    {
        stats.getFighterRefitTimeMult().modifyPercent(id, REFIT_PENALTY);
        stats.getMinCrewMod().modifyFlat(id, CREW_REQ);
    }

    @Override
    public String getDescriptionParam(int index, HullSize hullSize)
    {
        if (index == 0)
        {
            return "" + (int) REFIT_PENALTY + "%";
        }
        if (index == 1)
        {
            return "" + CREW_REQ;
        }
        return null;
        //if (index == 0) return "" + ((Float) mag.get(hullSize)).intValue();
        //return null;
    }
}
