package data.scripts.world;

import com.fs.starfarer.api.Global;
import com.fs.starfarer.api.campaign.SectorAPI;
import com.fs.starfarer.api.campaign.SectorGeneratorPlugin;
import com.fs.starfarer.api.util.Misc;

import data.scripts.world.systems.dara_Corvus;
import data.scripts.world.systems.dara_AlGebbar;
import data.scripts.world.systems.dara_Galatia;

public class dara_SectorGen implements SectorGeneratorPlugin {

    @Override
    public void generate(SectorAPI sector) {
	
	new dara_Corvus().generate(sector);
        new dara_AlGebbar().generate(sector);
        new dara_Galatia().generate(sector);
		
    }
}