package data.scripts.campaign.rulecmd;

// Copied from Arsenal Expansion with permission from InventorRaccoon

import com.fs.starfarer.api.Global;
import com.fs.starfarer.api.campaign.CampaignFleetAPI;
import com.fs.starfarer.api.campaign.InteractionDialogAPI;
import com.fs.starfarer.api.campaign.rules.MemKeys;
import com.fs.starfarer.api.campaign.rules.MemoryAPI;
import com.fs.starfarer.api.fleet.FleetMemberAPI;
import com.fs.starfarer.api.fleet.FleetMemberType;
import com.fs.starfarer.api.impl.campaign.rulecmd.AddRemoveCommodity;
import com.fs.starfarer.api.impl.campaign.rulecmd.BaseCommandPlugin;
import com.fs.starfarer.api.util.Misc;

import java.util.List;
import java.util.Map;

public class dara_AddShip extends BaseCommandPlugin

{
    @Override
    public boolean execute(String ruleId, InteractionDialogAPI dialog, List<Misc.Token> params, Map<String, MemoryAPI> memoryMap)
    {
        final MemoryAPI localMemory = memoryMap.get(MemKeys.LOCAL);
        if (localMemory == null) return false;
        CampaignFleetAPI playerFleet = Global.getSector().getPlayerFleet();
        
        String shipId = params.get(0).getString(memoryMap);
        
        FleetMemberAPI member = Global.getFactory().createFleetMember(FleetMemberType.SHIP, shipId);
        playerFleet.getFleetData().addFleetMember(member);
        AddRemoveCommodity.addFleetMemberGainText(member, dialog.getTextPanel());

        return true;
    }
}