package data.scripts.hullmods;

import java.awt.Color;
import java.util.HashMap;
import java.util.Map;

import com.fs.starfarer.api.Global;
import com.fs.starfarer.api.combat.BaseHullMod;
import com.fs.starfarer.api.combat.CollisionClass;
import com.fs.starfarer.api.combat.MutableShipStatsAPI;
import com.fs.starfarer.api.combat.ShipAPI;
import com.fs.starfarer.api.combat.ShipEngineControllerAPI;
import com.fs.starfarer.api.combat.ShipAPI.HullSize;
import com.fs.starfarer.api.impl.campaign.ids.HullMods;
import com.fs.starfarer.api.util.Misc;

import org.lwjgl.util.vector.Vector2f;
import org.lazywizard.lazylib.MathUtils;

public class dara_RaceMarker_Green extends BaseHullMod {
    
    private static final float MOVE_RANGE = 25500;
    //private float counter = 0f;

        @Override
	public void applyEffectsBeforeShipCreation(HullSize hullSize, MutableShipStatsAPI stats, String id) {

                //stats.getKineticDamageTakenMult().modifyMult(id, 100f);
                //stats.getHighExplosiveDamageTakenMult().modifyMult(id, 100f);
                stats.getCombatEngineRepairTimeMult().modifyMult(id, 99999f);
	}
	@Override
	public String getDescriptionParam(int index, HullSize hullSize) {
		
		return null;
	}
        @Override
	public void advanceInCombat(ShipAPI ship, float amount) {
            if (!ship.getEngineController().isFlamedOut()) {
                String shipName = ship.getName();
                Vector2f startLoc = ship.getLocation();
                float range = MOVE_RANGE;
                float angle = 90f;
                if (shipName.contains("LEFT")) {
                    angle -= 6f;
                } else if (shipName.contains("RIGHT")) {
                    angle += 6f;
                }
                Vector2f newLoc = MathUtils.getPointOnCircumference(startLoc, range, angle);
                ship.getLocation().set(newLoc);
                
                ship.setCollisionClass(CollisionClass.NONE);
                
                ship.getEngineController().forceFlameout();
            }
        }
}
